<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCTextChanger" description="Компонент писатель"
	fileName="NPCTextChanger.jar" className="org.mati.npc.components.textchanger.NPCTextChanger"
	version="8872" time="17.02.2009 01:05:07">	

	<Group>Основные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InFireTextChange"
		description="Связь, служащая для сообщения о том, что соответсвующему компоненту необходимо установить текст."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutSetText"
		description="Связь, служащая для установки текста соответствующему компоненту."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="TextOn" description="Текст Вкл."
		defaultValue="Включено"
		type="java.lang.String" nullable="false">
	</Attribute>
	<Attribute name="TextOff" description="Текст Выкл."
		defaultValue="Выключено"
		type="java.lang.String" nullable="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
